> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modempay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a transaction



## OpenAPI

````yaml /openapi.json get /v1/transactions/{transaction_id}
openapi: 3.0.3
info:
  title: Modem Pay API
  description: Modem Pay public API for payments, transfers, customers, and transactions.
  version: 1.0.0
servers:
  - url: https://api.modempay.com
security:
  - BearerAuth: []
paths:
  /v1/transactions/{transaction_id}:
    get:
      summary: Retrieve a transaction
      operationId: getTransaction
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: X-No-Effect
          in: header
          schema:
            type: boolean
      responses:
        '200':
          description: Transaction retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
components:
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        amount:
          type: number
        currency:
          type: string
        status:
          type: string
        createdAt:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use your Modem Pay secret key.

        - **Test environment:** Use your `sk_test_...` key.

        - **Production environment:** Only use `sk_live_...` on your personal,
        secure machine. Do NOT share or commit your production keys.

````